Subject: Re: What's cooking in git.git (Feb 2022, #07; Fri, 25)

From: Junio C Hamano <[email-masked]>
Date: Tue, 01 Mar 2022 10:06:42 -0800

Tao Klerks <[email-masked]> writes:

> On Mon, Feb 28, 2022 at 2:47 PM Ævar Arnfjörð Bjarmason
> <[email-masked]> wrote:
>>
>>
>>
>> Perhaps something like this:
>>
>>     The performance of the "untracked cache" feature has been improved in
>>     common cases where "--untracked-files=<mode>" and
>>     "status.showUntrackedFiles" were combined. This change benefits Windows
>>     users using it in conjuction with the "fsmonitor feature in particular.
>>
>> Perhaps adding:
>>
>>     There's an obscure case where the performance is now worse, but it's
>>     thought not to matter.
>>
>
> I really like it, thx! I would change "combined" to "aligned", and little else:
>
>    The performance of the "untracked cache" feature has been improved in
>    common cases where "--untracked-files=<mode>" and
>    "status.showUntrackedFiles" were aligned. This change benefits Windows
>    users using it in conjunction with the "fsmonitor" feature in particular.
>    There's an obscure case where the performance is now worse, but it's
>    thought not to matter.

Overly long for a topic summary, with value judgements that I'd
prefer to omit.  What (you think) is "common" does not help us make
a stronger case.  I've never said I agree "it's thought not to
matter" at all.  Just stick to the known facts.